Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 970450 - Failed to git push for reviewboard quickstart
Failed to git push for reviewboard quickstart
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 00:59 EDT by Wei Sun
Modified: 2015-05-14 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:50:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-06-04 00:59:16 EDT
Description of problem:
Create reviewboard quickstart as follow README.md , but when git push ,there are some error messages,like
remote: Traceback (most recent call last):
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f//python/virtenv/bin/rb-site", line 11, in <module>
remote:     load_entry_point('ReviewBoard==1.7.9', 'console_scripts', 'rb-site')()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 1937, in main
remote:     command.run()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 1405, in run
remote:     self.show_install_status()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 1684, in show_install_status
remote:     site.sync_database)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 885, in step
remote:     func()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 370, in sync_database
remote:     self.run_manage_command("syncdb", params)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 560, in run_manage_command
remote:     execute_manager(reviewboard.settings, [__file__, cmd] + params)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/__init__.py", line 459, in execute_manager
remote:     utility.execute()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/__init__.py", line 382, in execute
remote:     self.fetch_command(subcommand).run_from_argv(self.argv)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/base.py", line 196, in run_from_argv
remote:     self.execute(*args, **options.__dict__)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/base.py", line 232, in execute
remote:     output = self.handle(*args, **options)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/base.py", line 371, in handle
remote:     return self.handle_noargs(**options)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/commands/syncdb.py", line 102, in handle_noargs
remote:     cursor.execute(statement)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/db/backends/mysql/base.py", line 114, in execute
remote:     return self.cursor.execute(query, args)
remote:   File "/usr/lib64/python2.6/site-packages/MySQLdb/cursors.py", line 173, in execute
remote:     self.errorhandler(self, exc, value)
remote:   File "/usr/lib64/python2.6/site-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
remote:     raise errorclass, errorvalue
remote: django.db.utils.DatabaseError: (1071, 'Specified key was too long; max key length is 1000 bytes')
remote: An error occurred executing 'gear postreceive'
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.


Version-Release number of selected component (if applicable):
STG(devenv-stage_357)
https://github.com/openshift/reviewboard-example

How reproducible:
Always

Steps to Reproduce:
1.Create reviewboard quickstart as follow README.md
2.
3.

Actual results:
remote: Traceback (most recent call last):
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f//python/virtenv/bin/rb-site", line 11, in <module>
remote:     load_entry_point('ReviewBoard==1.7.9', 'console_scripts', 'rb-site')()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 1937, in main
remote:     command.run()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 1405, in run
remote:     self.show_install_status()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 1684, in show_install_status
remote:     site.sync_database)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 885, in step
remote:     func()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 370, in sync_database
remote:     self.run_manage_command("syncdb", params)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/ReviewBoard-1.7.9-py2.6.egg/reviewboard/cmdline/rbsite.py", line 560, in run_manage_command
remote:     execute_manager(reviewboard.settings, [__file__, cmd] + params)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/__init__.py", line 459, in execute_manager
remote:     utility.execute()
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/__init__.py", line 382, in execute
remote:     self.fetch_command(subcommand).run_from_argv(self.argv)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/base.py", line 196, in run_from_argv
remote:     self.execute(*args, **options.__dict__)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/base.py", line 232, in execute
remote:     output = self.handle(*args, **options)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/base.py", line 371, in handle
remote:     return self.handle_noargs(**options)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/core/management/commands/syncdb.py", line 102, in handle_noargs
remote:     cursor.execute(statement)
remote:   File "/var/lib/openshift/51ad49ad2587c8e1b300037f/python/virtenv/lib/python2.6/site-packages/Django-1.4.5-py2.6.egg/django/db/backends/mysql/base.py", line 114, in execute
remote:     return self.cursor.execute(query, args)
remote:   File "/usr/lib64/python2.6/site-packages/MySQLdb/cursors.py", line 173, in execute
remote:     self.errorhandler(self, exc, value)
remote:   File "/usr/lib64/python2.6/site-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
remote:     raise errorclass, errorvalue
remote: django.db.utils.DatabaseError: (1071, 'Specified key was too long; max key length is 1000 bytes')
remote: An error occurred executing 'gear postreceive'
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://51ad49ad2587c8e1b300037f@reviewboard-wsun3stg.stg.rhcloud.com/~/git/reviewboard.git/
   719c0fb..3343471  master -> master


Expected results:
Can create reviewboard quickstart successfully

Additional info:
Comment 1 Fotios Lindiakos 2013-06-19 17:20:44 EDT
This is now working as of this commit: https://github.com/openshift/reviewboard-example/commit/cba3b9b037c89d3ed4bdf97ff24ef1b0cbbfe5a6
Comment 2 Wei Sun 2013-06-20 05:09:18 EDT
Verified on  INT(devenv_3388)
Can create reviewboard quickstart successfully

Note You need to log in before you can comment on or make changes to this bug.